<?php

namespace XLite\Module\Custom\ForceDefaultQty\Model;

class Product extends \XLite\Model\Product implements \XLite\Base\IDecorator
{
    /**
     * Constructor
     *
     * @param array $data Entity properties OPTIONAL
     */
    public function __construct(array $data = array())
    {
        $this->amount = $this->getDefaultAmount();
        
        return parent::__construct($data);
    }

    /**
     * Default qty value to show to customers
     *
     * @return integer
    */
    public function getDefaultAmount()
    {
        return 1;
    }
}